Subject: [Hubert Gosselmeyer] Re: bug#5847: ETAGS: Segmentation fault, because of incorrect scope presumption

From: Alex <[email-masked]>
Date: Fri, 19 Aug 2016 21:32:25 -0600

Subject: Re: bug#5847: ETAGS: Segmentation fault, because of incorrect scope presumption
From: Hubert Gosselmeyer <[email-masked]>
To: Alex <[email-masked]>
Date: Thu, 18 Aug 2016 14:15:46 +0200

Hi Alex,

I rechecked the issue with my new hardware (got a new laptop meanwhile).
The issue does not occur for the files attached on the bug report anymore.

As I suspect that it has something to do with large memory allocation, I
produced some larger files
with an python script. I tested it on my machine still with etags (GNU
Emacs 23.1) and gave the files
to a collegue, who tested it with etags (GNU Emacs 24.3). On both etags
crashed for test_seg.c.

On Sun, Aug 14, 2016 at 11:38 PM, Alex <[email-masked]> wrote:

> Hubert Gosselmeyer <[email-masked]> writes:
>
> > Hi,
> >
> > the GNU Emacs TAGS tool 'etags' seems to have problems if source code is
> not
> > probably indented and new scopes are created within procedures. I found
> this
> > out by using etags on generated code where a lot of structures where
> created
> > on the heap, initialized and assigned to an array of pointers.
>
> Hi, do you still encounter this issue? I tried to reproduce with Emacs
> 24.5 but both files did not segfault for me.
>